/////////////////////////////////////////////////////////////////////////////
// hio.h : interface of the CHiO class
// drawing a Logo for hgskolen i stfold
// hardwired geometry
// the Logo is placed with center og circle in origo
// and top in z=0 plane
// extending twds -z, see H
// parameter in constructor/initialize indicates granularity
// Pointlistd for inner and outer circle is kept for speed
// 
/////////////////////////////////////////////////////////////////////////////

#ifndef _HIO_
#define _HIO_


class CHiO : public CObject
{
protected: // create from serialization only
	DECLARE_DYNCREATE(CHiO)

// Attributes

public:
	CHiO();

	// display list
	GLint m_Display_List;
	// number of circle points, precision
	UINT m_nP;


	// Operations
protected:
	void Initialize(UINT n);
public:
	void SetPrecision(int n);
	CHiO(UINT nPnts);
	void DrawLogo();

// Implementation
public:
	virtual ~CHiO();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

};
#endif //_HIO_
/////////////////////////////////////////////////////////////////////////////
